Authorize Meta WhatsApp
curl --request GET \
--url https://api.trillet.ai/v1/api/meta-whatsapp/authorize \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.trillet.ai/v1/api/meta-whatsapp/authorize"
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api.trillet.ai/v1/api/meta-whatsapp/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://www.facebook.com/v18.0/dialog/oauth?client_id=...&redirect_uri=...&scope=...&state=..."
}
Authorize Meta WhatsApp
Get the Meta OAuth authorization URL to connect your WhatsApp Business Account.
GET
/
v1
/
api
/
meta-whatsapp
/
authorize
Authorize Meta WhatsApp
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Response Fields
string
The Meta OAuth authorization URL. Redirect the user to this URL to authorize the WhatsApp Business connection.
{
"url": "https://www.facebook.com/v18.0/dialog/oauth?client_id=...&redirect_uri=...&scope=...&state=..."
}
⌘I
